# ebookLearning - E-book-based interactive learning system  	
	
*Author: 	               Florence Adegeye*

*Version:	                1.0*

*Date: 	                January 2015* 

*Target Platform:	Android 4.1.2*

*Min. Platform:	         Android 4.0.3*

*LICENSE: All source codes are provided under the terms of GNU GPL license, version 2*

ebook - Reader based on *"Epublib - a java epub library"* 
by Paul Siegmann:	http://www.siegmann.nl/epublib

**Used webservices in the learning system:**

*Google translate:* (free hack --> no guarantee for availability)
https://translate.google.com/

*Glosbe.com:*	 				
https://glosbe.com/a-api

*Supported languages:*	German <-> English

*Supported format:*		.epub, no DRM

**External dependencies:**

/lib/android-support-v4.jar

/lib/epublib-core-latest.jar

/lib/epublib-tools-3.1.jar

/lib/slf4j-android-1,6,1-RC1.jar

**.epub - files for Testing:**

/testepubs/1118102274ProA4.epub (Professional Android 4 Application Development, English)

/testepubs/Max und Moritz_ Eine Bubengeschichte in sieben Streichen by Wilhelm Busch.epub (Max und Moritz, German)

/testepubs/pg20916-images.epub (The Arabian Nights: Their Best-Known-Tales, English)

More free epubs: https://www.gutenberg.org/

**Bugs:**
Loading several large images from ebook --> OutOfMemory exception due to Android's bitmap limited cache size