/********************************************************
 * 	eBOOKLEARNING - 
 *	E-book-based interactive learning system
 * ======================================================
 *
 * License: http://www.gnu.org/licenses/gpl.html
 * @author Florence Adegeye
 * @version: 1.0, 2015/01/31
 *
 ********************************************************/
package at.tuwien.ebooklearning.dictionary;

import java.util.HashMap;

public class DictionaryEntry {
	
	private String translation;
	private HashMap<String, String[]> synonyms;
	private HashMap<String, String[]> grammar;
	private HashMap<String, String> explanation; 
	private String[] examples;
	
	
	/**
	 * @return the translation
	 */
	public String getTranslation() {
		return translation;
		
	}
	/**
	 * @param translation the translation to set
	 */
	public void setTranslation(String translation) {
		this.translation = translation;
	}
	
	/**
	 * @return the examples
	 */
	public String[] getExamples() {
		return examples;
	}
	/**
	 * @param examples the examples to set
	 */
	public void setExamples(String[] examples) {
		this.examples = examples;
	}
	
	/**
	 * @return the synonyms
	 */
	public HashMap<String, String[]> getSynonyms() {
		return synonyms;
	}
	/**
	 * @param synonyms the synonyms to set
	 */
	public void setSynonyms(HashMap<String, String[]> synonyms) {
		this.synonyms = synonyms;
	}
	/**
	 * @return the grammar
	 */
	public HashMap<String, String[]> getGrammar() {
		return grammar;
	}
	/**
	 * @param grammar the grammar to set
	 */
	public void setGrammar(HashMap<String, String[]> grammar) {
		this.grammar = grammar;
	}
	/**
	 * @return the explanation
	 */
	public HashMap<String, String> getExplanation() {
		return explanation;
	}
	/**
	 * @param explanation the explanation to set
	 */
	public void setExplanation(HashMap<String, String> explanation) {
		this.explanation = explanation;
	}
	
	
}
