/********************************************************
 * 	eBOOKLEARNING - 
 *	E-book-based interactive learning system
 * ======================================================
 *
 * License: http://www.gnu.org/licenses/gpl.html
 * @author Florence Adegeye
 * @version: 1.0, 2015/01/31
 *
 ********************************************************/
package at.tuwien.ebooklearning.ebookservices;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import at.tuwien.ebooklearning.views.BookShelfActivity;

public class BookLoadReceiver extends BroadcastReceiver {
	public BookLoadReceiver() {
	}

	@Override
	public void onReceive(Context context, Intent intent) {
		
		//start book shelf
		if(intent != null){
				Log.i("onReceive", "start bookshelf");
				 boolean loaded = (Boolean) intent.getExtras().get("loaded");
				 Intent intentBookShelf = new Intent(context, BookShelfActivity.class);
				 intentBookShelf.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK) ;  
				 intentBookShelf.putExtra("loaded", loaded);
				 context.startActivity(intentBookShelf);
				
			
		}
	}
}
