/********************************************************
 * 	eBOOKLEARNING - 
 *	E-book-based interactive learning system
 * ======================================================
 *
 * License: http://www.gnu.org/licenses/gpl.html
 * @author Florence Adegeye
 * @version: 1.0, 2015/01/31
 *
 ********************************************************/
package at.tuwien.ebooklearning.utils;

public class eBookLearningConstants {
	public final static String EBOOK_FILE_EXT = ".epub";
	//public final static String DEFAULT_DIR = Environment.getExternalStorageDirectory().getPath();
	public final static String DEFAULT_DIR = "book";
	public final static String WIKTIONARY_URL="http://en.wiktionary.org/w/api.php?action=query&format=json&prop=revisions&rvprop=content&titles=";
	
	//WIKI JSON
	public final static String W_QUERY = "query";
	public final static String W_PAGES  = "pages";
	public final static String W_REVISIONS  = "revisions";
	public final static String W_ALL  = "*";
	
	//GLOSBE
	public final static String GLOSBE1_FROM="https://glosbe.com/gapi/translate?from="; //language to translate from
	public final static String GLOSBE2_DEST="&dest="; //language to translate to
	public final static String GLOSBE3_PHRASE="&format=json&tm=true&pretty=true&phrase="; //add word to lookup
	
	public final static String G_TUC = "tuc";
	public final static String G_EXAMPLES = "examples";
	public final static String G_MEANINGS = "meanings";
	public final static String G_PHRASE = "phrase";
	public final static String G_TEXT = "text";
	public final static String G_FIRST = "first";
	
	//GOOGLE TRANSLATE
	public final static String GOOGLE1_FROM="https://translate.google.com/translate_a/single?client=t&sl="; //language to translate from
	public final static String GOOGLE2_DEST="&tl="; //language to translate to
	public final static String GOOGLE3_PHRASE="&hl=de&dt=bd&dt=ex&dt=ld&dt=md&dt=qc&dt=rw&dt=rm&dt=ss&dt=t&dt=at&ie=UTF-8&oe=UTF-8&prev=bh&ssel=0&tsel=0&sc=1&q="; //add word to lookup
	
	

}
