/********************************************************
 * 	eBOOKLEARNING - 
 *	E-book-based interactive learning system
 * ======================================================
 *
 * License: http://www.gnu.org/licenses/gpl.html
 * @author Florence Adegeye
 * @version: 1.0, 2015/01/31
 *
 ********************************************************/
package at.tuwien.ebooklearning.views;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import nl.siegmann.epublib.domain.Resource;
import android.app.Activity;
import android.os.Bundle;
import android.webkit.WebView;
import at.tuwien.ebooklearning.R;

public class BookActivity extends Activity {

	private WebView bookWebView; 
	private String linez;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_book);
		
		bookWebView = (WebView) findViewById(R.id.webViewBook);
		bookWebView.getSettings().setJavaScriptEnabled(true);
		
		String line;
		/*Spine spine = (Spine) getIntent().getExtras().get("currentspine");
		
		List<SpineReference> spineList = spine.getSpineReferences() ;
		int count = spineList.size();
		
		StringBuilder string = new StringBuilder();
		for (int i = 0; count > i; i++) {*/
		StringBuilder string = new StringBuilder(); //remove
		    Resource res = (Resource) getIntent().getExtras().get("currentspine"); //spine.getResource(i);

		    try {
		        InputStream is = res.getInputStream();
		        BufferedReader reader = new BufferedReader(new InputStreamReader(is));
		        
		        try {
		            while ((line = reader.readLine()) != null) {
		                linez =   string.append(line + "\n").toString();
		            }

		        } catch (IOException e) {e.printStackTrace();}

		        //do something with stream
		    } catch (IOException e) {
		        e.printStackTrace();
		    }

		//}
		bookWebView.loadData(linez, "text/html", "utf-8");
		
		
	}
}
